:root {
    /* Barra */
    --bar_color_back: rgba(250, 250, 250, 0.4);
    --bar_color_fore: rgb(20, 20, 20);
    /* Menu */
    --menu_color_back: rgb(255, 255, 255);
    --menu_color_option_pri: rgb(0, 102, 204);
    --menu_color_option_sec: rgb(128, 128, 128);
    --menu_color_option_sec_foc: rgb(0, 0, 0);
    /* Fondo */
    --back_color_back1: rgb(230, 230, 230);
    --back_color_back2: rgb(200, 200, 200);
    --back_color_back3: rgb(230, 230, 230);
    --back_color_border: rgba(120, 120, 120, 0.5);
    /* Inputs */
    --inp_principal_back: rgb(255, 255, 255);
    --inp_principal_shade: rgb(0, 102, 204);
    --inp_principal_fore: rgb(0, 0, 0);
    /* Labels */
    --lbl_01_fore: #000;
    /*-footer-*/
    --foo_color_back: rgba(250, 250, 250, 0.4);
    --foo_color_fore: rgb(20, 20, 20);
    /*-Botones-*/
    --btn_primary_back1: rgb(253, 146, 15);
    --btn_primary_back2: rgb(210, 117, 2);
    --btn_primary_back3: rgb(175, 103, 15);
    --btn_primary_fore: rgb(0, 0, 0);
    --btn_primary_fore3: rgb(220, 220, 220);
    --btn_secondary_back1: rgb(124, 124, 124);
    --btn_secondary_back2: rgb(91, 91, 91);
    --btn_secondary_fore: rgb(0, 0, 0);
    --btn_delete_back1: rgb(184, 30, 0);
    --btn_delete_back2: rgb(120, 22, 0);
    --btn_delete_fore: rgb(204, 204, 204);
    /*--*/
    /*-Inputs-*/
    --inp_principal_border: rgb(180, 180, 180);
    --inp_principal_height: 53px;
    /*-Reproductor-*/
    --pla_progress_back: rgba(0, 0, 0, 0.15);
    --pla_progress_fore: var(--btn_primary_back1);
    --pla_text_fore: var(--lbl_01_fore);
}

/*---------------------------------------------------------------------------------*/

:root {
    --swal2-confirm-button-background-color: var(--btn_primary_back1) !important;
}

body.dark {
    /* Barra */
    --bar_color_back: rgba(63, 63, 63, 0.5);
    --bar_color_fore: rgb(240, 240, 240);
    /* Menu */
    --menu_color_back: rgb(43, 43, 43);
    --menu_color_option_pri: rgb(0, 102, 204);
    --menu_color_option_sec: rgb(180, 180, 180);
    --menu_color_option_sec_foc: rgb(255, 255, 255);
    /* Fondo */
    --back_color_back1: rgba(71, 71, 71, 1);
    --back_color_back2: rgba(128, 128, 128, 1);
    --back_color_back3: rgba(71, 71, 71, 1);
    --back_color_border: rgba(210, 210, 210, 0.8);
    /* Inputs */
    --inp_principal_back: rgb(43, 43, 43);
    --inp_principal_fore: rgb(220, 220, 220);
    /* Labels */
    --lbl_01_fore: #fff;
    /*-footer-*/
    --foo_color_back: rgba(63, 63, 63, 0.5);
    --foo_color_fore: rgb(240, 240, 240);
    /*-Reproductor-*/
    --pla_progress_back: rgba(0, 0, 0, 0.35);
    --pla_text_fore: var(--lbl_01_fore);
}




/*---------------------------------------------------------------------------------*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Open Sans', sans-serif;
    transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    height: 100%;
    background-color: transparent;
    transition: background 0.3s ease, color 0.3s ease;
}

.main {
    height: 100%;
    transition: transform 0.3s ease;
    padding: 0px;
    height: 100%;
    position: fixed;
    left: 0px;
    z-index: 10;
}


header {
    position: relative;
    top: 0;
    z-index: 100;
    width: 100%;
    height: 80px;
    background: var(--bar_color_back);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
}

/* IZQUIERDA */
.header_left i {
    font-size: 28px;
    cursor: pointer;
    color: var(--bar_color_fore);
}

/* CENTRO (buscador) */
.header_center {
    flex: 1;
    display: flex;
    justify-content: center;
}

.search_box {
    display: flex;
    align-items: center;
    background: var(--inp_principal_back);
    border: 1px solid var(--inp_principal_border);
    border-radius: 4px;
    overflow: hidden;
    height: 38px;
    max-width: 350px;
}

    .search_box i {
        background: #e9ecef;
        padding: 0 10px;
        height: 100%;
        display: flex;
        align-items: center;
        color: #495057;
        border-right: 1px solid var(--inp_principal_border);
    }

    .search_box input {
        border: none;
        outline: none;
        padding: 0 10px;
        width: 100%;
        background: transparent;
    }


/* DERECHA */
.header_right {
    display: flex;
    align-items: center;
    gap: 15px;
}

    .header_right i {
        font-size: 26px;
        cursor: pointer;
        color: var(--bar_color_fore);
    }

#languageSelect {
    background-color: var(--inp_principal_back);
    color: var(--inp_principal_fore);
    border: 1px solid var(--inp_principal_border);
    border-radius: 4px;
    padding: 2px 6px;
}


.icon_menu {
    width: 50px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 12px;
    margin-right: 12px;
}

    .icon_menu i {
        font-size: 28px;
        cursor: pointer;
        color: var(--bar_color_fore);
    }

.icon_theme {
    width: 50px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 12px;
    margin-right: 12px;
}

    .icon_theme i {
        font-size: 28px;
        cursor: pointer;
        color: var(--bar_color_fore);
    }


.icon_user {
    width: 50px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 12px;
    margin-right: 12px;
}

    .icon_user i {
        font-size: 28px;
        cursor: pointer;
        color: var(--bar_color_fore);
    }

.menu_side {
    height: 100%;
    background: var(--menu_color_back);
    position: fixed;
    top: 0;
    color: white;
    font-size: 18px;
    overflow: hidden;
    overflow-y: scroll;
    border-right: 20px solid var(--menu_color_back);
    z-index: 200;
}

    /*Ocultar scroll para chrome, safari y opera*/
    .menu_side::-webkit-scrollbar {
        display: none;
    }

/*Ocultar scroll para IE, Edge y Firefox*/
.menu_side {
    -ms-overflow-style: none;
    scrollbar-width: none;
}


.name_page {
    padding: 10px 0 10px 0px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-top: 0px;
    transition: all 0.3s ease;
}

    .name_page img {
        height: 60px;
        width: auto;
        transition: all 0.3s ease;
    }

@media (min-width: 761px) {
    .menu_expanded .name_page {
        padding: 10px 20px;
        justify-content: center;
    }
}


.options_menu {
    padding: 10px 30px;
    position: absolute;
    top: 80px;
}

    .options_menu .option {
        padding: 15px 0px;
        display: flex;
        align-items: center;
        position: relative;
        cursor: pointer;
    }

        .options_menu .option,
        .options_menu .option h5,
        .options_menu .option i {
            color: var(--menu_color_option_sec);
        }

        .options_menu .option i {
            width: 20px;
            margin-right: 20px;
        }

        .options_menu .option h5 {
            font-weight: 300;
        }


        .options_menu .option:hover,
        .options_menu .option:hover h5,
        .options_menu .option:hover i {
            color: var(--menu_color_option_sec_foc);
        }


    .options_menu .selected,
    .options_menu .selected h5,
    .options_menu .selected i {
        color: var(--menu_color_option_sec_foc);
    }

        .options_menu .selected:before {
            content: '';
            width: 3px;
            height: 80%;
            background: var(--menu_color_option_pri);
            position: absolute;
            top: 10%;
            left: -30px;
        }

/*---------------------------------------------------------------------*/


.main {
    width: calc(100% - 80px);
    margin-left: 80px;
    transition: all 0.3s ease;
}

.menu_side {
    width: 80px;
    left: 0;
    transition: all 0.3s ease;
}


.menu_expanded {
    width: 250px;
}

.main_expanded {
    margin-left: 250px;
    width: calc(100% - 250px);
}



@media (max-width: 760px) {

    .menu_side {
        left: -80px;
        width: 80px;
    }

    .menu_expanded {
        left: 0;
    }

    .main {
        margin-left: 0;
        width: 100%;
    }

    .main_expanded {
        margin-left: 80px;
        width: calc(100% - 80px);
    }
}


/*--------------------------------Forms--------------------------------*/

h1, h2, h3, h4, h5, p {
    color: var(--lbl_01_fore)
}

table, th {
    border: none !important;
}

th, td {
    color: var(--lbl_01_fore)
}

.inp_text {
    border-color: #5f5f5f;
    background-color: rgba(255, 255, 255, 0.47);
    color: #000000;
}

    .inp_text::placeholder {
        font-size: 1em;
        font-style: italic;
    }

    .inp_text:focus {
        color: #1d1d1d;
        background-color: rgba(250, 250, 250, 0.62);
        outline: none !important;
        border-color: #719ECE;
        box-shadow: 0 0 10px #719ECE;
    }

.inp_pass {
    border-color: #5f5f5f;
    background-color: rgba(255, 255, 255, 0.47);
    color: #000000;
}

    .inp_pass:focus {
        color: #1d1d1d;
        background-color: rgba(250, 250, 250, 0.62);
        outline: none !important;
        border-color: #719ECE;
        box-shadow: 0 0 10px #719ECE;
    }


.btn_primary {
    background-color: var(--btn_primary_back1);
    border-color: var(--btn_primary_back1);
    color: var(--btn_primary_fore);
    margin-left: 5px;
    margin-right: 5px;
}

    .btn_primary:hover {
        background-color: var(--btn_primary_back2);
        border-color: var(--btn_primary_back2);
        transition: 0.3s;
    }

.btn_primary_selected {
    background-color: var(--btn_primary_back3);
    border-color: var(--btn_primary_back3);
    color: var(--btn_primary_fore3);
    margin-left: 5px;
    margin-right: 5px;
}

.btn_secondary {
    background-color: var(--btn_secondary_back1);
    border-color: var(--btn_secondary_back1);
    color: var(--btn_secondary_fore);
    margin-left: 5px;
    margin-right: 5px;
}

    .btn_secondary:hover {
        background-color: var(--btn_secondary_back2);
        border-color: var(--btn_secondary_back2);
        transition: 0.3s;
    }

.btn_delete {
    background-color: var(--btn_delete_back1);
    border-color: var(--btn_delete_back1);
    color: var(--btn_delete_fore);
    margin-left: 5px;
    margin-right: 5px;
}

    .btn_delete:hover {
        background-color: var(--btn_delete_back2);
        border-color: var(--btn_delete_back2);
        transition: 0.3s;
    }


/*----------------------------Sweetalert Personalization---------------------------*/

.swal2-popup {
    background: var(--inp_principal_back) !important;
    color: var(--inp_principal_fore) !important;
}

.swal2-title {
    color: var(--lbl_01_fore) !important;
}

.swal2-html-container {
    color: var(--lbl_01_fore) !important;
}


.form_element {
    padding: 8px 10px;
    height: 40px;
    border: 1px solid var(--inp_principal_border);
    border-radius: 4px;
    background-color: var(--inp_principal_back);
    color: var(--inp_principal_fore);
    transition: all 0.2s ease;
}

    .form_element::placeholder {
        color: rgb(120, 120, 120);
    }

    .form_element:focus {
        border-color: var(--inp_principal_shade);
        box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);
        outline: none;
    }

.swal2-html-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.form_row {
    margin-bottom: 12px;
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
}

.form_row.vertical-buttons {
    flex-direction: column;
    align-items: stretch;
}

.sweet_label {
    width: 40%;
}

.form_element {
    width: 60%;
}

.pct_30 {
    width: 30%;
}

.pct_40 {
    width: 40%;
}

.pct_50 {
    width: 50%;
}

.pct_60 {
    width: 60%;
}

.pct_70 {
    width: 70%;
}

.pct_100 {
    width: 100%;
}

@media (max-width: 480px) {
    .form_row {
        flex-direction: column;
        align-items: stretch;
    }

    .sweet_label,
    .form_element {
        width: 100%;
    }
}

.swal2-actions {
    display: flex;
    gap: 10px;
}

/* For Chrome, Safari, Edge, and Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

/* For Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


/*---------------------------------------------------------------------------------*/
.content_frame {
    position: relative;
    z-index: 500;
    height: calc(100% - 200px);
    overflow: auto;
    padding: 10px 10px 10px 10px;
    width: 100%;
}


footer {
    background-color: var(--foo_color_back);
    color: var(--foo_color_fore);
    z-index: 600;
    height: 120px;
    width: 100%;
    bottom: 0px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#footerText {
    text-align: center;
    margin: 0;
    max-width: 500px;
}


/*--------------------------------Reproductor---------------------------------------*/

.footer-botones {
    height: 39px;
    margin-top: 7px;
    margin-bottom: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-label {
    height: 20px;
    margin-top: 14px;
    margin-bottom: 0px;
    margin-left: 50px;
    margin-right: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--pla_text_fore);
}

    .footer-label label {
        margin-left: 10px;
        margin-right: 10px;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

.footer-progress {
    height: 20px;
    margin-top: 2px;
    margin-bottom: 0px;
    margin-left: 50px;
    margin-right: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-container {
    width: 100%;
    height: 15px;
    background-color: var(--pla_progress_back);
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
}

#tiempo_texto {
    color: var(--pla_text_fore);
}

.progress-bar {
    height: 100%;
    width: 0%;
    background-color: var(--pla_progress_fore);
    border-radius: 10px;
    transition: width 0.1s ease-in-out;
}


/*--------------------------------Fondo Animado------------------------------------*/
iframe {
    background: transparent;
}


.back_side {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: linear-gradient(90deg, var(--back_color_back1) 0%, var(--back_color_back2) 60%, var(--back_color_back3) 100%);
    z-index: 1;
}

.box div {
    position: absolute;
    width: 60px;
    height: 60px;
    background-color: transparent;
    border: 6px solid var(--back_color_border);
}

    .box div:nth-child(1) {
        top: 12%;
        left: 42%;
        animation: animate 10s linear infinite;
    }

    .box div:nth-child(2) {
        top: 70%;
        left: 50%;
        animation: animate 7s linear infinite;
    }

    .box div:nth-child(3) {
        top: 17%;
        left: 6%;
        animation: animate 9s linear infinite;
    }

    .box div:nth-child(4) {
        top: 20%;
        left: 60%;
        animation: animate 10s linear infinite;
    }

    .box div:nth-child(5) {
        top: 67%;
        left: 10%;
        animation: animate 6s linear infinite;
    }

    .box div:nth-child(6) {
        top: 80%;
        left: 70%;
        animation: animate 12s linear infinite;
    }

    .box div:nth-child(7) {
        top: 60%;
        left: 80%;
        animation: animate 15s linear infinite;
    }

    .box div:nth-child(8) {
        top: 32%;
        left: 25%;
        animation: animate 16s linear infinite;
    }

    .box div:nth-child(9) {
        top: 90%;
        left: 25%;
        animation: animate 9s linear infinite;
    }

    .box div:nth-child(10) {
        top: 20%;
        left: 80%;
        animation: animate 5s linear infinite;
    }

@keyframes animate {
    0% {
        transform: scale(0) translateY(0) rotate(0);
        opacity: 1;
    }

    100% {
        transform: scale(1.3) translateY(-90px) rotate(360deg);
        opacity: 0;
    }
}

/*---------------------------------------------------------------------------------*/
